View Issue Details

IDProjectCategoryView StatusLast Update
0026979mantisbtbugtrackerpublic2020-06-05 17:38
Reporterfmildemberger Assigned Todregad  
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionno change required 
Product Version2.24.0 
Summary0026979: login page add a qr code ou barcode
Description

I use mantisbt version 2.24.1 and I would like to personalize the login screen, inserting in addition to the logo an image in qrcode (jpg) that, when read, opens the login screen on a mobile phone. Is there any way this can be done?

Additional Information

using mantis in a server ubuntu

TagsNo tags attached.

Activities

dregad

dregad

2020-05-22 12:10

developer   ~0064020

Not really sure I fully understand what you want to do, but you can write an authentication plugin that will replace or customize the default login page or mechanism.

It will need to hook the EVENT_AUTH_USER_FLAGS event, check the SampleAuth Plugin as an example.

atrol

atrol

2020-05-22 12:29

developer   ~0064021

I would do it in a simple way.
Use a QR code generator to generate the image for your login URL, e.g. https://www.qrcode-monkey.com/
Combine the image with your logo image using some image editing tool.

fmildemberger

fmildemberger

2020-05-22 12:53

reporter   ~0064022

The idea is, besides the logo, in the right corner to have a qrcode, very simple! on the login screen ... below an example

telaloginsemqr.JPG (65,223 bytes)   
telaloginsemqr.JPG (65,223 bytes)   
dregad

dregad

2020-05-23 10:23

developer   ~0064023

This can't be done without customizing login_page.php (for the record, this is not supported).

As mentioned previously, the recommended way would be to write a custom Auth plugin to replace the standard login page. See attached for a quick and dirty example.

AuthWithQR.zip (2,646 bytes)

Issue History

Date Modified Username Field Change
2020-05-22 10:20 fmildemberger New Issue
2020-05-22 12:10 dregad Assigned To => dregad
2020-05-22 12:10 dregad Status new => resolved
2020-05-22 12:10 dregad Resolution open => no change required
2020-05-22 12:10 dregad Note Added: 0064020
2020-05-22 12:29 atrol Note Added: 0064021
2020-05-22 12:53 fmildemberger Note Added: 0064022
2020-05-22 12:53 fmildemberger File Added: telaloginsemqr.JPG
2020-05-23 10:23 dregad Note Added: 0064023
2020-05-23 10:23 dregad File Added: AuthWithQR.zip
2020-06-05 17:38 atrol Status resolved => closed